class WorldcupModel extends Database {
    public function getTeams() {
        // データベースからチームを取得する処理
    }

    // その他のWorldcup特有の操作

    // 国名を含む選手情報を取得するメソッド
    public function getPlayersWithCountry() {
        $sql = "SELECT p.*, c.name as country_name FROM players p JOIN countries c ON p.country_id = c.id WHERE p.del_flg = 0";
        $result = $this->connection->query($sql);
        return $result->fetch_all(MYSQLI_ASSOC);
    }

    // 特定の選手の得点履歴を取得するメソッド
    public function getPlayerScoreHistory($playerId) {
        $stmt = $this->connection->prepare("SELECT * FROM scores WHERE player_id = ? ORDER BY match_date ASC");
        $stmt->bind_param("i", $playerId);
        $stmt->execute();
        $result = $stmt->get_result();
        $scores = $result->fetch_all(MYSQLI_ASSOC);
        $stmt->close();
        return $scores;
    }
}
public function authenticateUser($email, $password) {
    $stmt = $this->connection->prepare("SELECT * FROM users WHERE email = ?");
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($user = $result->fetch_assoc()) {
        if (password_verify($password, $user['password'])) {
            return $user; // 認証成功
        }
    }
    return null; // 認証失敗
}
public function registerUser($email, $password, $role) {
    $hashedPassword = password_hash($password, PASSWORD_DEFAULT);
    $stmt = $this->connection->prepare("INSERT INTO users (email, password, role) VALUES (?, ?, ?)");
    $stmt->bind_param("sss", $email, $hashedPassword, $role);
    $stmt->execute();
    return $stmt->insert_id;
}
// ユーザー認証メソッド
public function authenticateUser($email, $password) {
    $stmt = $this->connection->prepare("SELECT * FROM users WHERE email = ?");
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($user = $result->fetch_assoc()) {
        if (password_verify($password, $user['password'])) {
            return $user; // 認証成功
        }
    }
    return null; // 認証失敗
}

// ユーザー登録メソッド
public function registerUser($email, $password, $role) {
    $hashedPassword = password_hash($password, PASSWORD_DEFAULT);
    $stmt = $this->connection->prepare("INSERT INTO users (email, password, role) VALUES (?, ?, ?)");
    $stmt->bind_param("sss", $email, $hashedPassword, $role);
    $stmt->execute();
    return $stmt->insert_id;
}


